💥 Grab our Lifetime Deal at just $79 (was $199) | One-time Payment 🔒
저희 앱을 설치해주세요 🪄 주소 표시줄 오른쪽 상단의 아이콘을 클릭하세요.

사용자 정의 도메인

GET https://qrcodemonkey.net/api/domains/
curl --request GET \
--url 'https://qrcodemonkey.net/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
매개변수 세부 정보 설명
search 선택 사항 문자열 검색 문자열
search_by 선택 사항 문자열 무슨 필드로 검색하시겠습니까. 허용된 값은: host입니다.
is_enabled 선택 사항 부울(Boolean)
order_by 선택 사항 문자열 결과를 어떤 필드로 정렬할까요. 허용된 값은 다음과 같습니다: domain_id , datetime , last_datetime , host
order_type 선택 사항 문자열 결과의 순서. 허용된 값은: ASC는 오름차순 정렬, DESC는 내림차순 정렬입니다.
page 선택 사항 정수 당신이 원하는 페이지 번호에서 결과를 얻습니다. 기본값은 1입니다.
results_per_page 선택 사항 정수 한 페이지당 원하는 결과 수를 입력하세요. 허용된 값은: 10 , 25 , 50 , 100 , 250 , 500 , 1000입니다. 기본값은 25입니다.
{
    "data": [
        {
            "id": 1,
            "scheme": "https://",
            "host": "example.com",
            "custom_index_url": "",
            "is_enabled": true,
            "last_datetime": null,
            "datetime": "2026-03-31 23:42:30",
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://qrcodemonkey.net/api/domains?page=1",
        "last": "https://qrcodemonkey.net/api/domains?page=1",
        "next": null,
        "prev": null,
        "self": "https://qrcodemonkey.net/api/domains?page=1"
    }
}
GET https://qrcodemonkey.net/api/domains/{domain_id}
curl --request GET \
--url 'https://qrcodemonkey.net/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "scheme": "https://",
        "host": "example.com",
        "custom_index_url": "",
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-03-31 23:42:30",
    }
}
POST https://qrcodemonkey.net/api/domains
매개변수 세부 정보 설명
host 필수 문자열 -
custom_index_url 선택 사항 문자열 -
custom_not_found_url 선택 사항 문자열 -
curl --request POST \
--url 'https://qrcodemonkey.net/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
{
    "data": {
        "id": 1
    }
}
POST https://qrcodemonkey.net/api/domains/{domain_id}
매개변수 세부 정보 설명
host 선택 사항 문자열 -
custom_index_url 선택 사항 문자열 -
custom_not_found_url 선택 사항 문자열 -
curl --request POST \
--url 'https://qrcodemonkey.net/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
{
    "data": {
        "id": 1
    }
}
DELETE https://qrcodemonkey.net/api/domains/{domain_id}
curl --request DELETE \
--url 'https://qrcodemonkey.net/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \